#!/bin/sh
#
# $FreeBSD: ports/net-im/jabber/files/jabberd.sh.in,v 1.2 2006/01/24 11:20:03 garga Exp $
#
# PROVIDE: jabber
# REQUIRE: LOGIN
# KEYWORD: shutdown
#
# Add the following lines to /etc/rc.conf to enable rsyncd:
#
# jabber_enable="YES"
#

. /etc/rc.subr

name="jabber"
rcvar=`set_rcvar`

load_rc_config $name

required_files=/usr/local/etc/${name}.xml

: ${jabber_enable="NO"}
: ${jabber_pidfile="/var/spool/jabber/${name}.pid"}
: ${jabber_flags="-B -h `/bin/hostname` -c ${required_files}"}
: ${jabber_user="jabber"}
: ${jabber_group="jabber"}

command=/usr/local/sbin/jabberd
command_args="${jabber_flags}"
pidfile=${jabber_pidfile}

run_rc_command "$1"
